# Mail|deepin-mail|

## Overview

Mail is an easy-to-use desktop e-mail client, which can manage multiple mailbox accounts at the same time.

## Guide

You can run, close or create a shortcut of Mail as follows.

### Run Mail

1. Click ![deepin_launcher](../common/deepin_launcher.svg) in the lower left corner of the dock to enter launcher interface.
2. Locate ![deepin_mail](../common/deepin_mail.svg) by scrolling the mouse wheel or searching "Mail" in the Launcher interface and click it to run. 
3. Right-click ![deepin_mail](../common/deepin_mail.svg) to:
   - Select **Send to desktop** to create a shortcut on the desktop.
   - Select **Send to dock** to fix it onto the dock.
   - Select **Add to startup** to add it to startup. When the computer starts up, Mail runs automatically.

### Exit Mail

On Mail interface, click ![icon_menu](../common/icon_menu.svg) and select  **Exit**.

Whether or not to exit Mail when closing the main window depends on the setting in the "Close Main Window" section of the settings screen.

   - Select **Minimize to system tray**, when you close the main window, it will be minimized to system tray.
   - Select **Exit**, when you close the main window, you will exit Mail directly.
   - Select **Ask me always**, when you close the main window, the system will pop up a query to get your confirmation.

## Sign In

1. Open Mail, select the mailbox account type, if there is no right type for you, select "Other mailboxes" and click **Continue**.

  ![select_mailbox](fig/select_mailbox.png)

2. Enter your email address and password and click **Sign In**. 

   > ![tips](../common/tips.svg) Tips: click ![help](../common/help.svg) to view Help manual of Mail.

  ![logininterface](fig/logininterface.png)

3. If the entered Email address suffix is not in the server database, click **Configure** to add it. In the "Manual Configuration" interface, you can set local backup and proxy.

   - Local backup: After the server deletes the emails, you can choose whether to keep the emails locally, and the default is not to keep them.
   - Proxy settings: refer to [Proxy](#Network) in network settings of Main Menu.

  ![emailconfig](fig/emailconfig.png)

> ![notes](../common/notes.svg) Notes: Mailboxes such as QQ mailbox, Netease mailbox (163.com and 126.com), Sina mailbox and so on can be used in Mail only after POP3 / IMAP / exchange and other services are enabled. After enabling the service, the server will generate an authorization code. Enter the email address and authorization code in the sign-in interface to sign in. If it fails, click **Help** to view more information.

>   ![helpinfo](fig/helpinfo.png)

## Main Interface

The main interface of Mail is composed of items and functions such as favorites, account, mailbox directory, mail list, mail body, compose, get new mails, and search. 

![maininterface](fig/maininterface.png)

<table class="block1">
    <caption>Main Interface</caption>
    <tbody>
        <tr>
            <td width="20px">1</td>
            <td width="100px">Compose</td>
            <td>You can write a mail quickly.</td>
        </tr>
        <tr>
            <td>2</td>
            <td>Contacts</td>
            <td>A list of contacts is displayed here. You can also add information such as the contact's telephone number and address.</td>
        </tr>
         <tr>
            <td>3</td>
            <td>Get new mails</td>
            <td>To synchronize mailbox data from server, including mails, address book, calendar, etc.</td>
        </tr>
        <tr>
            <td>4</td>
            <td>Search</td>
            <td>To quickly find locally loaded mails.</td>
        </tr>
        <tr>
            <td>5</td>
            <td>Main Menu</td>
            <td>To set the mailbox, switch themes, view manual, etc.</td>
        </tr>
        <tr>
            <td>6</td>
            <td>Favorites</td>
            <td>It displays a list of commonly used folders of all mailbox accounts.</td>
        </tr>
        <tr>
            <td>7</td>
            <td>Account</td>
            <td>It displays a list of all mailbox accounts added.</td>
        </tr>
        <tr>
            <td>8</td>
            <td>Mailbox directory</td>
            <td>The mailbox directory is used to sort out mail data. Different categories of mailbox directories may be different. In addition to the general fixed directory, the others are created by users.</td>
        </tr>
         <tr>
            <td>9</td>
            <td>Mail list</td>
            <td>It displays all mails in the mailbox directory, including the sender, subject, abstract, sending time and star status.</td>
        </tr> 
          <tr>
            <td>10</td>
            <td>Mail body</td>
            <td>It displays the email title, sender and receiver information, time and content.</td>
        </tr> 
   </tbody>
   </table>



## Favorites

The commonly used folders of all mailbox accounts are gathered together here for quick viewing of mails. There are two ways to add the commonly used folders:

- In the main interface, hover your mouse over the "Favorites" area and the add button ![add_normal](../common/add_normal.svg) appears and click it. Select to add "All Inboxes", "All Unread", "All Starred", "All Drafts" or "All Sentboxes".

  ![add_hot_folder1](fig/add_hot_folder1.png)

To remove any folder, just uncheck it.

- In the mailbox directory, select the mailbox directory you want to add and right click, select **Add to Favorites**.

  ![add_hot_folder2](fig/add_hot_folder2.png)

Right-click the added folder and select **Remove from Favorites** to remove it.


## New Mailbox Directory

Mailbox directory is used to sort and collate mail data. The mailbox directory of different protocols may be different, please take the actual situation as the case may be. For example, the mailbox account of pop protocol has a starred mail directory, which is used to store the starred mails.

In addition to the general, fixed directory, you can create new mailbox directories.

1. In the main interface, right-click the mailbox account and select **New folder**.

![new_ folder](fig/new_folder.png )

2. After entering the folder name, the new mailbox directory is created. Dragging the corresponding catalog can also adjust the order within the same level.

3. Right-click the new mailbox directory to rename, create subfolders, mass delete and so on.

![right_click_menu](fig/right_click_menu.png)

## Compose

1. On the main interface, click ![email_button](../common/email_button.svg) to enter mail composing page.
2. Enter the receiver's mailbox account or click ![add_normal](../common/add_normal.svg) to add a receiver from Contacts, you can also choose whether to "CC" or "BCC" or not. 
3. The e-mail body supports rich text editing, including inserting pictures and links, adding attachments and signature, and so on. The default signature is your mailbox account. Click "Signature" drop-down box to edit your signature. 
4. After editing is finished, click **Send**.  Click ![more](../common/more.svg) to select **Send separately** or **Send later** to select a time for the mail to be sent.

![writeemail](fig/writeemail.png)

## Get New Mails

"Get new mails" is to synchronize mailbox data from the server. The system synchronizes mailbox data every 15 minutes by default. You can select the amount of mails to receive every time.

Here are two ways to receive email:

- Select an account, click ![refresh_button](../common/refresh_button.svg).
- Select an account and right-click, select **Get new mails**.

## View Mails

1. Click **All** in the mail list to view all mails, unread mails, starred mails, mails with attachments or mails @ me. 
2. After a mail is selected in the mail list, you can view its subject, sender / receiver(s), time and the mail body. When you right-click it, you can choose to top emails, group, move, and other actions. If you select several mails, the mail bodies would not be displayed. 
   - Hold **Ctrl** key, click mails in order to select multiple mails at a time;
   - Click mail A and hold **Shift** key, and then click mail B to select all mails displayed between mail A and B.

3. Click the sender's/receiver's mailbox to view the sender's/receiver's details and correspondence, and you can add them to the Contacts as well.

   ![contactinfo](fig/contactinfo.png)

4. In the mail body area, you can edit, forward, star, move, delete the mail or do other operations.  

   ![emailtext](fig/emailtext.png)

## Search Mails

The searching functions helps you to find the locally loaded mail you need quickly. 

1. Click ![search](../common/search.svg) in the main interface, input the keywords, then you can select "Subject", "Text", "From", "To" to search mails.
2. Click ![filter](../common/filter.svg) to filter mails more precisely. You can input information of sender/receiver, input subject / text keywords, and select attachment, period to do precise search.

   ![search](fig/search.png)

## Group

"Grouping mails" means to group all mails by sender or keywords. The conditions you set here would be added to Main Menu > Settings > Accounts >Group automatically.

   - Group by sender: select a mail and right-click, select **Group** > **Group all mails from XXX**. Then all mails sent by XXX would be grouped together.
   - Group by keywords: select a mail and right-click, select **Group** > **Group by Subject**, an editing box pops up. Input keywords and click **Confirm**. Then mails whose subjects contain this keyword would be grouped together.

![syndicate_mail](fig/syndicate_mail.png)

## Ungroup

Right-click the grouped mails and select **Ungroup**. And then the grouped mails would be displayed separately. Conditions in "Settings > Accounts > Group" would also be deleted automatically.

![cancel_aggregation](fig/cancel_aggregation.png)

If the grouping condition in the Group tab is deleted, the related emails will also be ungrouped.



## Move Mails

You can move mail(s) in the current folder to another; or move all mails from this sender.

![move](fig/move.png)

## Delete Mails

Mails could be deleted individually or in batches. Generally, deleted mails will be stored in "Trash". You can also choose to delete them permanently in "Trash".

### Delete One Mail

There are two ways to delete one mail. 

- Select a mail in the mail list and right-click, select **Delete**. 
- In the mail body area, click ![trash](../common/trash.svg).


### Delete in Batches

Select the specified directory to be deleted and right-click, and select **Mass delete**. You can delete the email according to periods, for example, one week ago or a month ago.

## Import Mails

In the mailbox directory list, select one directory and right-click to select **Import mails**. The interface of File Manager pops up, select the mails to be imported, and click **Open** to import the specified directory.

## Export Mails

Mails can be exported individually or in batch.

### Export One Mail

1. There are two ways to export one mail: 

   - Select a mail or several mails in the mail list and right-click, select **Export**. 

   - In the mail body area, click ![more](../common/more.svg), and then select **Export**.

2. Select a storing path in File Manager and then click **Save**. 

### Export in Batches

Select the specified directory and right-click, and select **Export mails**. The interface of File Manager pops up, select a storing path and then click **Save**. 

## Contacts

On the main interface, click ![contact_button](../common/contact_button.svg) to enter Contacts. You can view the contacts list and information, and add new contacts / contact group, and import / export contacts. 

![contact](fig/contact.png)

### Add contacts

In the address book interface, you can add individual contacts or import contacts in batch.

**Add a single contact**.

1. Click the add button ![add_normal](../common/add_normal.svg) and select **Add contacts**. 
2. Fill in the contact name, email address, phone number, address and other information, select the email account and click **Save**.

**Batch Import Contacts**

1. Click the add button ![add_normal](../common/add_normal.svg) and select **Import contacts > Import vCard file**.
2. Select the email account and click **Confirm**. 
3. When File Manager window pops up, select the .vcf format files to be imported.

For the added contacts, you can edit, delete, view conversations and so on.

### Add contact groups

After adding contacts, you can group them according to your usage needs, you will have to add contact groups first.

1. Click the Add button ![add_normal](../common/add_normal.svg) and select **Add groups**.

2. Enter the group name and click **Confirm**. 

3. Check the corresponding contacts and click **Confirm** to complete the grouping.

Select the group and right-click it to rename, manage contacts, delete the group, etc.

### Export contacts

Export contacts based on email accounts, all contacts, contact groups, etc. For two or more contacts, you can choose to export to the same file or separate files.

> ![notes](../common/notes.svg) Notes: When the number of exported contacts exceeds 500, they can only be exported to the same file.

## Main Menu

In main menu, you can set the mailbox, switch the window themes, and view the help manual. 

### Settings

Click ![icon_menu](../common/icon_menu.svg) on the main interface and click **Settings**. You can set the accounts, basic settings, anti-spam, network and advanced settings. 

#### Accounts

In "Accounts" setting interface, you can add or delete accounts. Click ![add_normal](../common/add_normal.svg) to add more accounts. Select the account and click ![edit_delete](../common/edit_delete.svg) to delete it. You can set "Info", "Signature", "Filter", "Group" for each account.

![ID_setting](fig/ID_setting.png)

**Info**: click **Info** to modify avatar, set account alias, and configure server.
**Signature**: the default signature is the mail account. Click **Signature** to edit current signature or add new signature.

**Filter**: click **Filter**. Multiple conditions could be set up to filter mails. When you receive mails that meet any one of the above mentioned conditions, special operation would be carried out. For example, when you receive mails from XXX, move them to "Spam" automatically.

Mails would be filtered by the rules set in the list from the top downwards. When there is any conflict among the rules, the topper one would be executed. One mail would be filtered by one rule at most, then it would not be filtered by others. 



![filtering_rules](fig/filtering_rules.png)

**Group**: click **Group**, then you can select the grouping condition in the mail list. If the grouping condition is removed, the grouped mails will be ungrouped.

![aggregation_settings](fig/aggregation_settings.png)




#### Basic

**General**: settings  "set as default email client", "launch at system startup", and font size. 

![basicsetting](fig/basicsetting.png)



**Emails**

- Conversation view: When it is checked, the associated emails on the mailing list will be merged into one session email to improve the efficiency of processing emails.

- Show an alert: When it is checked, an alert box will pop up every time you receive a new email.

- Auto receive every...: The default time interval for receiving mail is 15 minutes, which can be customized.

**Shortcuts**: the shortcut keys for common operations.




#### Anti-Spam

You can set blacklist here. All mails sent from the mailboxes listed in blacklist are rejected. You can add, export and import the blacklist.



#### Network

Set proxy according to usage requirements. Both setting default proxy and setting proxy separately for different mailboxes are supported.

- Do not use proxy: it is checked by default.
- Use system proxy: set the corresponding system proxy in the **Control Center > Network** interface.
- Customize proxy server: select HTTP, SOCKS4 or SOCKS5 proxy and fill in the server's IP address, port number, username and password accordingly.

![network_setting](fig/network_setting.png)

#### Advanced

Based on the security consideration of mailbox data, you can enable security password. When there are no activities in 15 minutes, Mail will be locked automatically, and you should enter the password to unlock it. 



#### Restore Defaults

Click **Restore Defaults** to restore the basic settings to defaults.


### Theme

The window theme includes Light Theme, Dark Theme and System Theme.

1. Click ![icon_menu](../common/icon_menu.svg) on the main interface.
2. Click **Theme** to choose one theme.

### Help

Click Help to get the manual, which will help you further know and use Mail.

1. Click ![icon_menu](../common/icon_menu.svg) on the main interface.
2. Click  **Help** to view the manual of Mail.

### About

1. Click ![icon_menu](../common/icon_menu.svg) on the main interface.
2. Click **About** to view version information about Mail.


### Exit

1. Click ![icon_menu](../common/icon_menu.svg) on the main interface.
2. Click  **Exit**.

